import { lazy } from "react";
import DepositHeader from "@widgets/WDeposit/DepositHeader";
import WithdrawHeader from "@widgets/WWithdraw/WithdrawHeader";
import WCashWheelHeader from "@widgets/WCashWheel/WCashWheelHeader";
import WOrderHeader from "@widgets/WPaymentOrder/WOrderHeader/WOrderHeader";
import WEmptyHeader from "@widgets/WEmptyHeader";
const ModulePage = lazy(() => import('@pages/ModulePage'));
const Home = lazy(() => import('@pages/Home'));
const Login = lazy(() => import("@pages/Login"));
const Settings = lazy(() => import("@pages/Settings"));
const EditProfile = lazy(() => import("@pages/EditProfile"));
const EditPassword = lazy(() => import("@pages/EditPassword"));
const Game = lazy(() => import("@pages/Game"));
const Deposit = lazy(() => import("@pages/Deposit"));
const Withdraw = lazy(() => import("@pages/Withdraw"));
const PaymentOrder = lazy(() => import("@pages/PaymentOrder"));
const WithdrawAccountEdit = lazy(() => import("@pages/WithdrawAccountEdit"));
const WithdrawPassEdit = lazy(() => import("@pages/WithdrawPassEdit"));
const CustomerService = lazy(() => import("@pages/CustomerService"));
const Promotion = lazy(() => import("@pages/Promotion"));
const Bonus = lazy(() => import("@pages/Bonus"));
const CashWheel = lazy(() => import("@pages/CashWheel"));
const Mail = lazy(() => import("@pages/Mail"));
const MailDetail = lazy(() => import("@pages/MailDetail"));
const RechargeHistory = lazy(() => import("@pages/RechargeHistory"));
const WithdrawRecord = lazy(() => import("@pages/WithdrawRecord"));
const Security = lazy(() => import("@pages/Security"));
const MoneyRain = lazy(() => import("@pages/MoneyRain"));
const AgentPolicy = lazy(() => import("@pages/AgentPolicy"));
const Agent = lazy(() => import("@pages/Agent"));
const AgentHistory = lazy(() => import("@pages/AgentHistory"));
const Privacy = lazy(() => import("@pages/Privacy"));
const Services = lazy(() => import("@pages/Services"));
const KycPolicy = lazy(() => import("@pages/KycPolicy"));
const CheckIn = lazy(() => import("@pages/CheckIn"));
const Sport = lazy(() => import("@pages/Sport"));
const ProtectMinors = lazy(() => import("@pages/ProtectMinors"));
const FreeWithdraw = lazy(() => import("@pages/FreeWithdraw"));
const History = lazy(() => import("@pages/History"));
const FirstDeposit = lazy(() => import("@pages/FirstDeposit"));
const PaymentMethods = lazy(() => import("@pages/PaymentMethods"));
const FWRecord = lazy(() => import("@pages/FWRecord"));
const Vip = lazy(() => import("@pages/Vip"));
const MyVip = lazy(() => import("@pages/MyVip"));
const PayIFrame = lazy(() => import("@pages/PayIFrame"));
const Referral = lazy(() => import("@pages/Referral"))
const OrderCheck = lazy(() => import("@pages/OrderCheck"))
export default {
    ModulePage: ModulePage,
    Home: Home,
    login: Login,
    settings: Settings,
    editProfile: EditProfile,
    editPassword: EditPassword,
    game: Game,
    deposit: Deposit,
    paymentOrder: PaymentOrder,
    withdraw: Withdraw,
    accountInfo: WithdrawAccountEdit,
    wdPassEdit: WithdrawPassEdit,
    customer: CustomerService,
    promotion: Promotion,
    cashwheel: CashWheel,
    mail: Mail,
    mailDetail: MailDetail,
    rechargeHistory: RechargeHistory,
    withdrawRecord: WithdrawRecord,
    security: Security,
    // moneyrain: MoneyRain,
    agentPolicy: AgentPolicy,
    agent: Agent,
    agentHistory: AgentHistory,
    privacy: Privacy,
    services: Services,
    kycPolicy: KycPolicy,
    checkIn: CheckIn,
    Sport: Sport,
    paymentOrderQR: PaymentOrder,
    protectMinors: ProtectMinors,
    bonus: Bonus,
    freewithdraw: FreeWithdraw,
    history: History,
    firstdeposit: FirstDeposit,
    paymentMethods: PaymentMethods,
    fWRecord: FWRecord,
    vip: Vip,
    myvip: MyVip,
    payIFrame: PayIFrame,
    referral: Referral,
    orderCheck: OrderCheck,
}

export const Header = {
    deposit: DepositHeader,
    withdraw: WithdrawHeader,
    cashwheel: WCashWheelHeader,
    // orderCheck: WEmptyHeader,
    // paymentOrder: WOrderHeader,
}

